Subject: Re: Grammar guidelines in Postgres

From: Tom Lane <[email-masked]>
Date: Thu, 04 Jul 2024 12:01:55 -0400

Harjyot Bagga <[email-masked]> writes:
> One such suggestion or rule for example is the Postgres does not support
> Postfix operators. So whenever a new feature is introduced developers make
> sure that they do not add a postfix operators in their grammar. Just like
> that are there any other further rules or suggestions compiled by post
> hackers and maintainers?

[ shrug... ]  If you try to re-introduce postfix operators you'll get
a ton of shift-reduce conflicts.  We have a hard rule that such
conflicts are not allowed, even though Bison can be told to ignore
them.  Beyond that, there's not much.

			regards, tom lane